Setting the SAML, LDAP and OIDC RBAC Configuration
Setting the SAML, LDAP and OIDC RBAC Configuration
This endpoint is only available when you are using SAML or LDAP authentication. You can use this API to configure these settings before enabling RBAC, and also to update these settings for an RBAC-enabled OpsManager.
Request
URI
PUT
https://{opsmanager-installation}/api/v0/settings/rbac
COPY
Request Body
RBACConfiguration
of type(s)
application/json
Required
OneOf
This class requires at least one of the following:
{
"ldap_rbac_admin_group_name": "string"
}
Responses
200
OK
Returns
EmptyResponse
of type(s)
application/json
Operation doesn't return any data structure
400
Setup is not completed
Returns
RequireSetupCompleted
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
401
Unauthorized
Returns
UnauthorizedResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
403
Forbidden
Returns
ForbiddenResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/api/v0/settings/rbac
Rbac Settings Operations
POST
Enabling Role-Based Access Controls (RBAC)
PUT
Setting the SAML, LDAP and OIDC RBAC Configuration